This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 719344 - Review Request: kdegraphics-strigi-analyzer - Strigi analyzers for various graphic types
Review Request: kdegraphics-strigi-analyzer - Strigi analyzers for various gr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.7
  Show dependency treegraph
 
Reported: 2011-07-06 10:14 EDT by Rex Dieter
Modified: 2011-07-18 09:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 09:55:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 nucleo 2011-07-16 20:51:55 EDT
rpmlint output for ksaneplugin-4.6.95-1 rpms:
kdegraphics-strigi-analyzer.i686: W: spelling-error %description -l en_US dvi -> div, vi, lvi
kdegraphics-strigi-analyzer.i686: W: no-documentation
kdegraphics-strigi-analyzer.src: W: spelling-error %description -l en_US dvi -> div, vi, lvi
kdegraphics-strigi-analyzer.x86_64: W: spelling-error %description -l en_US dvi -> div, vi, lvi
kdegraphics-strigi-analyzer.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 2 nucleo 2011-07-16 20:52:30 EDT
Only dvi and tiff subdirectories used in CMakeLists.txt.
dds, exr, pnm, raw, rgb and xps are commented out.
Files in dvi/ and strigiea_dvi.so have license LGPLv2+.
Files in tiff/ have license GPLv2 and LGPLv2+ so strigiea_tiff.so binary is GPLv2?

Two binaries have different licenses so I assume package license should be GPLv2 and LGPLv2+.
COPYING and COPYING.LIB should be added in %doc.
Comment 3 Rex Dieter 2011-07-18 09:21:35 EDT
Spec URL:
http://rdieter.fedorapeople.org/rpms/kdegraphics/kdegraphics-strigi-analyzer.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdegraphics/kdegraphics-strigi-analyzer-4.6.95-2.fc15.src.rpm

%changelog
* Mon Jul 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-2
- License: LGPLv2+ and GPLv2
- %%doc COPYING COPYING.LIB
Comment 4 nucleo 2011-07-18 09:25:07 EDT
APPROVED
Comment 5 Rex Dieter 2011-07-18 09:41:54 EDT
New Package SCM Request
=======================
Package Name: kdegraphics-strigi-analyzer
Short Description: Strigi analyzers for various graphic types
Owners: than rdieter jreznik ltinkl rnovacek kkofler
Branches: f15
Comment 6 Gwyn Ciesla 2011-07-18 09:43:07 EDT
Git done (by process-git-requests).
Comment 7 Rex Dieter 2011-07-18 09:55:50 EDT
imported.

Note You need to log in before you can comment on or make changes to this bug.